#~ '(C) 2010, Links System Software
#~ 'Feedback information
#~ 'E-mail1: designer@ls-software.ru
#~ 'E-mail2: kirill2007_77@mail.ru (search this e-mail to add skype contact)
#~ 'icq: 328-958-369

#~ lss_matrix_ext.rb ver. 1.0.  11-Jan-12
#~ Plug-in, which adds the ability to create series of instance (group) copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

require 'sketchup.rb'
require 'extensions.rb'
require 'LangHandler.rb'

$lssmatrixStrings = LanguageHandler.new("lss_matrix.strings")

lssmatrix_ext = SketchupExtension.new($lssmatrixStrings.GetString("LSS Matrix"), "lss_matrix/lss_matrix.rb")

lssmatrix_ext.description=$lssmatrixStrings.GetString("Plug-in, which adds the ability to create series of instance (group) copies.")
lssmatrix_ext.copyright="(c)2012, LSS"
lssmatrix_ext.version="1.0 06-Apr-12"
lssmatrix_ext.creator="Links System Software"
Sketchup.register_extension(lssmatrix_ext, true)